Bug 191548 - VNC reversed connection - "install exited abnormally"
VNC reversed connection - "install exited abnormally"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 16:15 EDT by eric magaoay
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 11:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2006-05-12 16:15:00 EDT
Description of problem:
While attempting to connect to vnc client, the install program "exited abnormally"

Version-Release number of selected component (if applicable):
anaconda-11.1.0.10-1

How reproducible:
persistent

Steps to Reproduce:
1. Prepare a reversed connection VNC installation with the following kickstart
config file example (ks.cfg):
     # assumed ks.cfg located at ftp://192.168.3.101/mysrc/fed/ks.cfg
     # make sure port 6603 is open @ viewer host 192.168.3.101
     vnc --host 192.168.3.101 --port 6603
     # assumed installation source tree
     url --url ftp://192.168.3.101/mysrc/fed/i386

2. From the listening VNC viewer @ 192.168.3.101 type
     vncviewer -listen 6603  

3. start the installation. While in the startup/boot command prompt type:
     linux vnc ks=ftp://192.168.3.101/mysrc/fed/ks.cfg      
  
Actual results:
install exited while attempting to connect to vnc client on host 192.168.3.101..

Traceback (most recent call last):
File "/usr/bin/anaconda", line 836, in ?
   runVNC(vncpassword,vncconnecthost,vncconnectport,doStartupX11Actions)
File "/usr/bin/anaconda", line 398, in runVNC
   vncStartedCB=vncStartedCB)
File "/usr/lib/anaconda/vnc.py", line 279, in startVNCServer
   output = iutil.execWithCapture(argv[0],argv,catchfd=2)
NameError: global name 'iutil' is not defined

Expected results:
install program should have proceeded without error

Additional info:

Note You need to log in before you can comment on or make changes to this bug.